pydo.vpc_subnet_routes.delete()

Generated on 1 Oct 2026 from pydo version v0.43.0

Usage

client.vpc_subnet_routes.delete(
    vpc_uuid="997615ce-132d-4bae-9270-9ee21b395e5d",
    subnet_uuid="4de7ac8b-495b-4884-9a69-1050c6793cd6",
    route_uuid="f0e1d2c3-b4a5-6789-0fed-cba987654321",
)
Returns NoneRaises HttpResponseError

Description

To delete a user-defined VPC subnet route, send a DELETE request to /v2/vpcs/{vpc_uuid}/subnets/{subnet_uuid}/routes/{route_uuid}. Managed routes cannot be deleted. A successful request returns a 204 status code with no response body.

Parameters

vpc_uuid string required

The unique identifier of the VPC.

subnet_uuid string required

The unique identifier of the VPC subnet.

route_uuid string required

The unique identifier of the route.

More Information

See /v2/vpcs/{vpc_uuid}/subnets/{subnet_uuid}/routes/{route_uuid} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.